> For the complete documentation index, see [llms.txt](https://docs.thehemera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thehemera.com/hemera-indexer/data-class/raw-data-tables/transactions.md).

# Transactions

Transactions are cryptographically signed instructions from accounts. An account will initiate a transaction to update the state of the Ethereum network. Transactions will always originate from externally owned accounts, a smart contract cannot initiate a transaction.

Transactions need to be broadcast to the whole network. Any node can broadcast a request for a transaction to be executed on the EVM; after this happens, a miner will execute the transaction and propagate the resulting state change to the rest of the network.

## ETL data class

| Column Name                    | Data Type | Note |
| ------------------------------ | --------- | ---- |
| hash                           | str       |      |
| nonce                          | int       |      |
| transaction\_index             | int       |      |
| from\_address                  | str       |      |
| to\_address                    | str       |      |
| value                          | int       |      |
| gas                            | int       |      |
| gas\_price                     | int       |      |
| input                          | str       |      |
| receipt\_cumulative\_gas\_used | int       |      |
| receipt\_gas\_used             | int       |      |
| receipt\_contract\_address     | str       |      |
| receipt\_root                  | str       |      |
| receipt\_status                | int       |      |
| block\_timestamp               | timestamp |      |
| block\_number                  | int       |      |
| block\_hash                    | str       |      |
| max\_fee\_per\_gas             | int       |      |
| max\_priority\_fee\_per\_gas   | int       |      |
| transaction\_type              | int       |      |
| receipt\_effective\_gas\_price | int       |      |
| receipt\_l1\_fee               | int       |      |
| receipt\_l1\_gas\_used         | int       |      |
| receipt\_l1\_gas\_price        | int       |      |
| receipt\_l1\_fee\_scalar       | float     |      |
| receipt\_blob\_gas\_used       | int       |      |
| receipt\_blob\_gas\_price      | int       |      |
| blob\_versioned\_hashes        | list      |      |
| exist\_error                   | bool      |      |
| error                          | str       |      |
| revert\_reason                 | str       |      |

Examples

```json
{
  "hash": "0x35c6f6ec2ddb2530a8f01a6dc05666da248b6c1d7124a3f7c80d5e557596e9a7",
  "nonce": 154,
  "transaction_index": 4,
  "from_address": "0x634de605fea9f9c3245034129ea30c2cee399972",
  "to_address": "0xa44155ffbce68c9c848f8ea6f28c40311085125e",
  "value": 0,
  "gas": 1219916,
  "gas_price": 84899924,
  "input": "0x733f53280000000000000000000000000000000000000000000000000000000000000040000000000000000000000000000000000000000000000000000000000000016000000000000000000000000000000000000000000000000000000000000000010000000000000000000000000000000000000000000000000000000000000020000000000000000000000000000000000000000000000000000000000000006d00000000000000000000000000000000000000000000000000000000000000a00fd0ba716e314ca66bd0c6fb8d27f6da149ab7808057bf36616f42be663d8cce00000000000000000000000000000000000000000000000001593477e4ffffff0000000000000000000000000000000000000000000000000000018bc9c817120000000000000000000000000000000000000000000000000000000000000004302e303200000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000200000000000000000000000000000000000000000000000000000000000000041c3c950926b7e0bf4e7ba1d5c1f367c05ba3bb7036020c2ca1bd65747ac597e0c034b42e85aab0bbebaaa7610e20a676b64b8858af2d1a4437a53a07abeacc6eb1b00000000000000000000000000000000000000000000000000000000000000",
  "receipt_cumulative_gas_used": 2368079,
  "receipt_gas_used": 1102725,
  "receipt_contract_address": null,
  "receipt_root": null,
  "receipt_status": 1,
  "block_timestamp": "2023-11-13T09:43:49.000Z",
  "block_number": 567347,
  "block_hash": "0xf06ba757ac30de0d45c3d3e68c697c39246747009e93ebb528b818297f0c9438",
  "max_fee_per_gas": 1671037270,
  "max_priority_fee_per_gas": 100000,
  "transaction_type": 2,
  "receipt_effective_gas_price": 84899924,
  "receipt_l1_fee": 698092851650339,
  "receipt_l1_gas_used": 7676,
  "receipt_l1_gas_price": 69957595267,
  "receipt_l1_fee_scalar": 1.3
}
```

## Model in the Database

| Column Name                    | Data Type        | Note                                                                          |
| ------------------------------ | ---------------- | ----------------------------------------------------------------------------- |
| hash                           | bytea            | primary key                                                                   |
| transaction\_index             | integer          |                                                                               |
| from\_address                  | bytea            |                                                                               |
| to\_address                    | bytea            |                                                                               |
| value                          | numeric(100)     |                                                                               |
| transaction\_type              | integer          |                                                                               |
| input                          | bytea            |                                                                               |
| nonce                          | integer          |                                                                               |
| block\_hash                    | bytea            |                                                                               |
| block\_number                  | bigint           |                                                                               |
| block\_timestamp               | timestamp        |                                                                               |
| gas                            | numeric(100)     |                                                                               |
| gas\_price                     | numeric(100)     |                                                                               |
| max\_fee\_per\_gas             | numeric(100)     |                                                                               |
| max\_priority\_fee\_per\_gas   | numeric(100)     |                                                                               |
| receipt\_root                  | bytea            |                                                                               |
| receipt\_status                | integer          |                                                                               |
| receipt\_gas\_used             | numeric(100)     |                                                                               |
| receipt\_cumulative\_gas\_used | numeric(100)     |                                                                               |
| receipt\_effective\_gas\_price | numeric(100)     |                                                                               |
| receipt\_l1\_fee               | numeric(100)     |                                                                               |
| receipt\_l1\_fee\_scalar       | numeric(100, 18) |                                                                               |
| receipt\_l1\_gas\_used         | numeric(100)     |                                                                               |
| receipt\_l1\_gas\_price        | numeric(100)     |                                                                               |
| receipt\_blob\_gas\_used       | numeric(100)     |                                                                               |
| receipt\_blob\_gas\_price      | numeric(100)     |                                                                               |
| blob\_versioned\_hashes        | bytea\[]         |                                                                               |
| receipt\_contract\_address     | bytea            |                                                                               |
| exist\_error                   | boolean          |                                                                               |
| error                          | text             |                                                                               |
| revert\_reason                 | text             |                                                                               |
| create\_time                   | timestamp        | default now()                                                                 |
| update\_time                   | timestamp        | default now()                                                                 |
| reorg                          | boolean          |                                                                               |
| method\_id                     | varchar          | generated always as (substr(((input)::character varying)::text, 3, 8)) stored |

Examples

```json
{
  "hash": "E'\\\\x35C6F6EC2DDB2530A8F01A6DC05666DA248B6C1D7124A3F7C80D5E557596E9A7'",
  "transaction_index": 0,
  "from_address": "E'\\\\x634DE605FEA9F9C3245034129EA30C2CEE399972'",
  "to_address": "E'\\\\xA44155FFBCE68C9C848F8EA6F28C40311085125E'",
  "value": 0,
  "transaction_type": 2,
  "input": "E'\\\\x733F53280000000000000000000000000000000000000000000000000000000000000040000000000000000000000000000000000000000000000000000000000000016000000000000000000000000000000000000000000000000000000000000000010000000000000000000000000000000000000000000000000000000000000020000000000000000000000000000000000000000000000000000000000000006D00000000000000000000000000000000000000000000000000000000000000A00FD0BA716E314CA66BD0C6FB8D27F6DA149AB7808057BF36616F42BE663D8CCE00000000000000000000000000000000000000000000000001593477E4FFFFFF0000000000000000000000000000000000000000000000000000018BC9C817120000000000000000000000000000000000000000000000000000000000000004302E303200000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000200000000000000000000000000000000000000000000000000000000000000041C3C950926B7E0BF4E7BA1D5C1F367C05BA3BB7036020C2CA1BD65747AC597E0C034B42E85AAB0BBEBAAA7610E20A676B64B8858AF2D1A4437A53A07ABEACC6EB1B00000000000000000000000000000000000000000000000000000000000000'",
  "nonce": 154,
  "block_hash": "E'\\\\xF06BA757AC30DE0D45C3D3E68C697C39246747009E93EBB528B818297F0C9438'",
  "block_number": 567347,
  "block_timestamp": "2023-11-13 09:43:49.000000",
  "gas": 1219916,
  "gas_price": 84899924,
  "max_fee_per_gas": 1671037270,
  "max_priority_fee_per_gas": 100000,
  "receipt_root": null,
  "receipt_status": 1,
  "receipt_gas_used": 1102725,
  "receipt_cumulative_gas_used": 2368079,
  "receipt_effective_gas_price": 84899924,
  "receipt_l1_fee": 698092851650339,
  "receipt_l1_fee_scalar": 1.3,
  "receipt_l1_gas_used": 7676,
  "receipt_l1_gas_price": 69957595267,
  "receipt_blob_gas_used": null,
  "receipt_blob_gas_price": null,
  "blob_versioned_hashes": null,
  "receipt_contract_address": null,
  "exist_error": false,
  "error": null,
  "revert_reason": null,
  "create_time": "2024-08-12 13:38:46.949956",
  "update_time": null,
  "reorg": false,
  "method_id": "733f5328"
}
```

```csv
0x35C6F6EC2DDB2530A8F01A6DC05666DA248B6C1D7124A3F7C80D5E557596E9A7,0,0x634DE605FEA9F9C3245034129EA30C2CEE399972,0xA44155FFBCE68C9C848F8EA6F28C40311085125E,0,2,0x733F53280000000000000000000000000000000000000000000000000000000000000040000000000000000000000000000000000000000000000000000000000000016000000000000000000000000000000000000000000000000000000000000000010000000000000000000000000000000000000000000000000000000000000020000000000000000000000000000000000000000000000000000000000000006D00000000000000000000000000000000000000000000000000000000000000A00FD0BA716E314CA66BD0C6FB8D27F6DA149AB7808057BF36616F42BE663D8CCE00000000000000000000000000000000000000000000000001593477E4FFFFFF0000000000000000000000000000000000000000000000000000018BC9C817120000000000000000000000000000000000000000000000000000000000000004302E303200000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000200000000000000000000000000000000000000000000000000000000000000041C3C950926B7E0BF4E7BA1D5C1F367C05BA3BB7036020C2CA1BD65747AC597E0C034B42E85AAB0BBEBAAA7610E20A676B64B8858AF2D1A4437A53A07ABEACC6EB1B00000000000000000000000000000000000000000000000000000000000000,154,0xF06BA757AC30DE0D45C3D3E68C697C39246747009E93EBB528B818297F0C9438,567347,2023-11-13 09:43:49.000000,1219916,84899924,1671037270,100000,null,1,1102725,2368079,84899924,698092851650339,1.3,7676,69957595267,null,null,null,null,false,null,null,2024-08-12 13:38:46.949956,null,false,733f5328
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thehemera.com/hemera-indexer/data-class/raw-data-tables/transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
